https://www.docusign.com/v2.1/accounts/{accountId}/envelopesCreates and sends an envelope or creates a draft envelope. Envelopes are fundamental resources in the Docusign platform. With this method you can: * Create and send an envelope with [documents][], [recipients][], and [tabs][]. * Create and send an envelope from a template. * Create and send an envelope from a combination of documents and templates. * Create a draft envelope. When you use this method to create and send an envelope in a single request, the following parameters in the request body (an [`envelopeDefinition`][envelopeDefinition] object) are required: | Parameter | Description | | :-------- | :---------- | | `status` | Set to `sent` to send the envelope to recipients.<br>Set to `created` (or don't set at all) to save the envelope as a draft. | | `emailSubject` | The subject of the email used to send the envelope. | | `documents` | The [documents][] to be signed. | | `recipients` | The email addresses of the envelope [recipients][]. | When you create an envelope by using a composite template, you should specify the envelope custom fields in the inline template. Any custom fields that you specify at the root level are ignored. If the envelope has a workflow definition and the `workflowStatus` is `paused`, the envelope will not be sent immediately, even if the envelope's `status` is `sent`. ### Related topics [Envelope][envelopes] and [template][templates] objects along with [documents][documents], [recipients][recipients], and [tabs][tabs] are the five object models at the core of the eSignature API. The eSignature concepts guide describes how the five object models work together. The following how-to articles contain practical examples that show you how to to configure this method's [`envelopeDefinition`][envelopeDefinition] request body to perform common tasks. Requesting a signature - How to request a signature by email - How to request a signature through your app - How to request a signature by email using a template - How to request a signature using a composite template - How to request a signature by SMS or WhatsApp delivery - How to send a request for payment - How to send an envelope to an In Person Signer - How to request a signature by email using CORS - How to request a signature through your CORS-enabled browser app - How to request a signature through your app (embedded signing) with a CFR Part 11 account Working with envelopes and templates - How to get envelope information - How to list envelope recipients - How to list envelope status changes - How to create a template - How to send an envelope via your app - How to bulk send envelopes Working with advanced recipient routing - How to pause a signature workflow - How to unpause a signature workflow - How to use conditional recipients - How to schedule an envelope - How to send an envelope with delayed routing Working with documents - How to list envelope documents - How to download envelope documents - How to attach documents via binary transfer - How to create a signable HTML document - How to convert a PDF file into a signable HTML document - How to set document visibility for envelope recipients - How to request a signature by email with document generation Working with tabs - How to get envelope tab values - How to get envelope custom tab values - How to set envelope tab values - How to set tab values in a template Working with brands - How to create a brand - How to apply a brand to an envelope - How to apply a brand and template to an envelope Working with permissions - How to create a permission profile - How to update individual permission settings - How to set a permission profile - How to delete a permission profile Implementing multi-factor recipient (signer) authentication - How to require ID verification (IDV) for a recipient - How to require knowledge-based authentication (KBA) for a recipient - How to require phone authentication for a recipient - How to require access code authentication for a recipient <!-- this should mirror /docs/esign-rest-api/how-to/ --> [addingdocs]: /docs/esign-rest-api/esign101/concepts/envelopes/ [attachments]: /docs/esign-rest-api/esign101/concepts/documents/attachments/ [authcopies]: /docs/esign-rest-api/esign101/concepts/documents/authoritative-copies/ [conoverview]: /docs/esign-rest-api/esign101/concepts/overview/ [deleting]: /docs/esign-rest-api/esign101/concepts/envelopes/ [documents]: /docs/esign-rest-api/esign101/concepts/documents/ [envelopeDefinition]: /docs/esign-rest-api/reference/envelopes/envelopes/create/#schema__envelopedefinition [envelopes]: /docs/esign-rest-api/esign101/concepts/envelopes/ [locking]: /docs/esign-rest-api/esign101/concepts/envelopes/lock/ [payments]: /docs/esign-rest-api/esign101/concepts/tabs/payment/ [purging]: /docs/esign-rest-api/esign101/concepts/documents/purging/ [recipients]: /docs/esign-rest-api/esign101/concepts/recipients/ [recipstatus]: /docs/esign-rest-api/esign101/concepts/recipients/#recipient-status [reciptypes]: /docs/esign-rest-api/esign101/concepts/recipients/#recipient-types [supdocs]: /docs/esign-rest-api/esign101/concepts/documents/supplemental/ [tabanchor]: /docs/esign-rest-api/esign101/concepts/tabs/auto-place/ [tabcustom]: /docs/esign-rest-api/esign101/concepts/tabs/custom-tabs/ [tabs]: /docs/esign-rest-api/esign101/concepts/tabs/ [tabtypes]: /docs/esign-rest-api/esign101/concepts/tabs/ [templates]: /docs/esign-rest-api/esign101/concepts/templates/ [tracking]: /docs/esign-rest-api/esign101/concepts/envelopes/
The external account number (int) or account ID GUID.
Reserved for Docusign.
When true, users can define the routing order of recipients while sending documents for signature.
Reserved for Docusign.
When **true,** template roles will be merged, and empty recipients will be removed. This parameter applies when you create a draft envelope with multiple templates. (To create a draft envelope, the `status` field is set to `created`.) **Note:** Docusign recommends that this parameter should be set to **true** whenever you create a draft envelope with multiple templates.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/envelopesCreates and sends an envelope or creates a draft envelope. Envelopes are fundamental resources in the Docusign platform. With this method you can: * Create and send an envelope with [documents][], [recipients][], and [tabs][]. * Create and send an envelope from a template. * Create and send an envelope from a combination of documents and templates. * Create a draft envelope. When you use this method to create and send an envelope in a single request, the following parameters in the request body (an [`envelopeDefinition`][envelopeDefinition] object) are required: | Parameter | Description | | :-------- | :---------- | | `status` | Set to `sent` to send the envelope to recipients.<br>Set to `created` (or don't set at all) to save the envelope as a draft. | | `emailSubject` | The subject of the email used to send the envelope. | | `documents` | The [documents][] to be signed. | | `recipients` | The email addresses of the envelope [recipients][]. | When you create an envelope by using a composite template, you should specify the envelope custom fields in the inline template. Any custom fields that you specify at the root level are ignored. If the envelope has a workflow definition and the `workflowStatus` is `paused`, the envelope will not be sent immediately, even if the envelope's `status` is `sent`. ### Related topics [Envelope][envelopes] and [template][templates] objects along with [documents][documents], [recipients][recipients], and [tabs][tabs] are the five object models at the core of the eSignature API. The eSignature concepts guide describes how the five object models work together. The following how-to articles contain practical examples that show you how to to configure this method's [`envelopeDefinition`][envelopeDefinition] request body to perform common tasks. Requesting a signature - How to request a signature by email - How to request a signature through your app - How to request a signature by email using a template - How to request a signature using a composite template - How to request a signature by SMS or WhatsApp delivery - How to send a request for payment - How to send an envelope to an In Person Signer - How to request a signature by email using CORS - How to request a signature through your CORS-enabled browser app - How to request a signature through your app (embedded signing) with a CFR Part 11 account Working with envelopes and templates - How to get envelope information - How to list envelope recipients - How to list envelope status changes - How to create a template - How to send an envelope via your app - How to bulk send envelopes Working with advanced recipient routing - How to pause a signature workflow - How to unpause a signature workflow - How to use conditional recipients - How to schedule an envelope - How to send an envelope with delayed routing Working with documents - How to list envelope documents - How to download envelope documents - How to attach documents via binary transfer - How to create a signable HTML document - How to convert a PDF file into a signable HTML document - How to set document visibility for envelope recipients - How to request a signature by email with document generation Working with tabs - How to get envelope tab values - How to get envelope custom tab values - How to set envelope tab values - How to set tab values in a template Working with brands - How to create a brand - How to apply a brand to an envelope - How to apply a brand and template to an envelope Working with permissions - How to create a permission profile - How to update individual permission settings - How to set a permission profile - How to delete a permission profile Implementing multi-factor recipient (signer) authentication - How to require ID verification (IDV) for a recipient - How to require knowledge-based authentication (KBA) for a recipient - How to require phone authentication for a recipient - How to require access code authentication for a recipient <!-- this should mirror /docs/esign-rest-api/how-to/ --> [addingdocs]: /docs/esign-rest-api/esign101/concepts/envelopes/ [attachments]: /docs/esign-rest-api/esign101/concepts/documents/attachments/ [authcopies]: /docs/esign-rest-api/esign101/concepts/documents/authoritative-copies/ [conoverview]: /docs/esign-rest-api/esign101/concepts/overview/ [deleting]: /docs/esign-rest-api/esign101/concepts/envelopes/ [documents]: /docs/esign-rest-api/esign101/concepts/documents/ [envelopeDefinition]: /docs/esign-rest-api/reference/envelopes/envelopes/create/#schema__envelopedefinition [envelopes]: /docs/esign-rest-api/esign101/concepts/envelopes/ [locking]: /docs/esign-rest-api/esign101/concepts/envelopes/lock/ [payments]: /docs/esign-rest-api/esign101/concepts/tabs/payment/ [purging]: /docs/esign-rest-api/esign101/concepts/documents/purging/ [recipients]: /docs/esign-rest-api/esign101/concepts/recipients/ [recipstatus]: /docs/esign-rest-api/esign101/concepts/recipients/#recipient-status [reciptypes]: /docs/esign-rest-api/esign101/concepts/recipients/#recipient-types [supdocs]: /docs/esign-rest-api/esign101/concepts/documents/supplemental/ [tabanchor]: /docs/esign-rest-api/esign101/concepts/tabs/auto-place/ [tabcustom]: /docs/esign-rest-api/esign101/concepts/tabs/custom-tabs/ [tabs]: /docs/esign-rest-api/esign101/concepts/tabs/ [tabtypes]: /docs/esign-rest-api/esign101/concepts/tabs/ [templates]: /docs/esign-rest-api/esign101/concepts/templates/ [tracking]: /docs/esign-rest-api/esign101/concepts/envelopes/
The external account number (int) or account ID GUID.
Reserved for Docusign.
When true, users can define the routing order of recipients while sending documents for signature.
Reserved for Docusign.
When **true,** template roles will be merged, and empty recipients will be removed. This parameter applies when you create a draft envelope with multiple templates. (To create a draft envelope, the `status` field is set to `created`.) **Note:** Docusign recommends that this parameter should be set to **true** whenever you create a draft envelope with multiple templates.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}